Loading...
Searching...
No Matches
StdLogical.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/BasicMath/Functors.h>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

template<typename C1, typename C2, typename CompareOperator>
bool | casacore::compareAll (const C1 &l, const C2 &r, CompareOperator op)
| Arbitrary compare operation on two STL-style containers.
template<typename C1, typename C2, typename U>
bool | casacore::allNear (const C1 &l, const C2 &r, U tolerance)
| Test if all elements of the containers are relatively near each other.
template<typename C1, typename C2, typename U>
bool | casacore::allNearAbs (const C1 &l, const C2 &r, U tolerance)
| Test if all elements of the containers are absolutely near each other.